function[returnedData] = inputStep(u, windowSize, stepSize)

size = length(u);

returnedData = zeros(size,1);

for i = 2:(windowSize/2)
    if(u(i) >= (u(i-1) + stepSize) || u(i) <= (u(i-1) - stepSize))
        returnedData(1:windowSize) = 1;
    end
end    

for i = ((windowSize/2)+1):(size-(windowSize/2)) 
    if(u(i) >= (u(i-1) + stepSize) || u(i) <= (u(i-1) - stepSize))
        window = (i-(windowSize/2)):(i+(windowSize/2));
        returnedData(window) = 1;
        
%          figure
%          plot(window, u(i-(windowSize/2):i+(windowSize/2)), window, y(i-(windowSize/2):i+(windowSize/2)))
%          legend('u', 'y')
%          xlabel('Time')
%          ylabel('Value')
%          title('Step in input, u')
%          axis([i-(windowSize/2) i+(windowSize/2) 0 size])
    end
end

for i = (size-(windowSize/2)+1):size
    if(u(i) >= (u(i-1) + stepSize) || u(i) <= (u(i-1) - stepSize))
        returnedData((size-windowSize+1):size) = 1;
    end
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%