function [returnedData] = meanChange(y, windowSize, minChange)
    
    size = length(y);
   
    returnedData = zeros(size,1);
    means = zeros(size, 1);
    meanChanges = zeros(size, 1);
   
    for i = ((windowSize/2)+1):(size - (windowSize/2))
        
        sum = 0;     
        
        for j = (i - (windowSize/2)):(i + (windowSize/2))
            
            sum = sum + y(j);
                        
        end
        
        mean = sum/(windowSize + 1);
       
        means(i) = mean; 
        
    end
    
    for i = ((windowSize/2)+1):(size - (windowSize/2))
    
        meanChange = means(i) - means(i-1);
        meanChanges(i) = meanChange;
        if(meanChange >= minChange || meanChange <= (-minChange))
        
            window = (i-(windowSize/2)):(i+(windowSize/2));
            returnedData(window) = 1;
            
        end    
        
    end  
    
     figure
     plot(1:length(means), means)
     legend('Mean calculated by meanChange.m')
     xlabel('Time')
     ylabel('Mean')
 
     axis([0 length(means) -10 30])
    
end