function [sysIdSegmentU, sysIdSegmentU2, sysIdSegmentY, valSegmentU, valSegmentU2, valSegmentY] = shdmiMISO(u, u2, y, windowSize, minVarianceU, minVarianceU2, minVarianceY, minMeanVarU, minMeanVarU2, minMeanVarY)

    size = length(u);

    firstCriterion = 0;     % 0: first vector to be combined
                            % 1: not first vector to be combined
    
    returnedData = [];      % vector to hold returned data from functions
    
    %%%%%%%%%%%%%%% variance.m U %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    if(minVarianceU ~= 0)
    
        returnedDataVarU = variance(u, windowSize, minVarianceU);
        
        if(firstCriterion == 0)
        
            returnedData = criteriaCombination(returnedDataVarU, returnedDataVarU);
            firstCriterion = 1;
        
        else
            
            returnedData = criteriaCombination(returnedDataVarU, returnedData);
            
        end
        
    end
    
    %%%%%%%%%%%%%%% variance.m U2 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    if(minVarianceU2 ~= 0)
    
        returnedDataVarU2 = variance(u2, windowSize, minVarianceU2);
        
        if(firstCriterion == 0)
        
            returnedData = criteriaCombination(returnedDataVarU2, returnedDataVarU2);
            firstCriterion = 1;
        
        else
            
            returnedData = criteriaCombination(returnedDataVarU2, returnedData);
            
        end
        
    end
    
    %%%%%%%%%%%%%%%%%% variance.m Y %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    if(minVarianceY ~= 0)
    
        returnedDataVarY = variance(y, windowSize, minVarianceY);
        
        if(firstCriterion == 0)
        
            returnedData = criteriaCombination(returnedDataVarY, returnedDataVarY);
            firstCriterion = 1;
        
        else
            
            returnedData = criteriaCombination(returnedDataVarY, returnedData);
            
        end
        
    end
    
    %%%%%%%%%%%%%% meanVariance.m U %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    if(minMeanVarU ~= 0)
    
        returnedDataMeanVarU = meanVariance(u, windowSize, minMeanVarU);
        
        if(firstCriterion == 0)
        
            returnedData = criteriaCombination(returnedDataMeanVarU, returnedDataMeanVarU);
            firstCriterion = 1;
        
        else
            
            returnedData = criteriaCombination(returnedDataMeanVarU, returnedData);
            
        end
        
    end
    
    %%%%%%%%%%%%%% meanVariance.m U2 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    if(minMeanVarU2 ~= 0)
    
        returnedDataMeanVarU2 = meanVariance(u2, windowSize, minMeanVarU2);
        
        if(firstCriterion == 0)
        
            returnedData = criteriaCombination(returnedDataMeanVarU2, returnedDataMeanVarU2);
            firstCriterion = 1;
        
        else
            
            returnedData = criteriaCombination(returnedDataMeanVarU2, returnedData);
            
        end
        
    end
    
     %%%%%%%%%%%%%% meanVariance.m Y %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    if(minMeanVarY ~= 0)
    
        returnedDataMeanVarY = meanVariance(y, windowSize, minMeanVarY);
        
        if(firstCriterion == 0)
        
            returnedData = criteriaCombination(returnedDataMeanVarY, returnedDataMeanVarY);
            firstCriterion = 1;
        
        else
            
            returnedData = criteriaCombination(returnedDataMeanVarY, returnedData);
            
        end
        
    end
    
    %%%%%%%%%%%%%% segmentSelect.m %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    sysIdSegmentU = [];
    sysIdSegmentU2 = [];
    sysIdSegmentY = [];
    valSegmentU = [];
    valSegmentU2 = [];
    valSegmentY = [];

    [sysIdSegmentU, sysIdSegmentU2, sysIdSegmentY, valSegmentU, valSegmentU2, valSegmentY] = segmentSelectMISO(u, u2, y, returnedData);
    
   
    
    