function[returnedData] = variance(y, windowSize, minVariance)

    size = length(y);
   
    returnedData = zeros(size,1);
    var = zeros(size, 1);
    for i = ((windowSize/2)+1):(size - (windowSize/2))
        
        sum = 0;
        sumSecond = 0;
        
        for j = (i - (windowSize/2)):(i + (windowSize/2))
            
            sum = sum + y(j);
            sumSecond = sumSecond + ((y(j))^2);
            
        end
        
        mean = sum/(windowSize + 1);
        meanSecond = sumSecond/(windowSize + 1);
        
        variance = meanSecond - (mean^2);
        var(i) = variance;
        if(variance >= minVariance)
            
            window = (i-(windowSize/2)):(i+(windowSize/2));
            returnedData(window) = 1;
        
        end 
        
    end
    
     figure
     plot(1:length(var), var)
     legend('Variance')
     xlabel('Time')
     ylabel('Variance calculated by variance.m')
 
     axis([0 length(var) -10 30])